{% extends "lab_7/layout/base.html" %}
{% block content %}
<section name="mahasiswa-list" id="mahasiswa-list">
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-lg-8">
                <h2> Mahasiswa Fasilkom</h2>
                <div class="list-group">
                    {% if mahasiswa_list %}
                        {% for mahasiswa in mahasiswa_list %}
                            <a class="list-group-item clearfix">
                                {{ mahasiswa.nama }} ({{ mahasiswa.npm }})
                                <span class="pull-right">
                        <span class="btn btn-xs btn-default" onClick="addFriend('{{ mahasiswa.nama }}', '{{ mahasiswa.npm }}')">
                            Tambah sebagai teman
                        </span>
                    </span>
                            </a>
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-danger text-center">
                            <strong>Opps!</strong> Tidak ada mahasiswa
                        </div>
                    {% endif %}
                    <div class="pagination_page">
                       <div>
                           <br>
                           {% if has_prev %}
                               <a class="prev btn btn-info" href="?page={{ page|add:'-1' }}">Prev</a>
                           {% endif %}
                           <span class="current">
                                   Page {{ page }} of {{ max_page }}.
                           </span>
                           {% if has_next %}
                               <a class="next btn btn-info" href="?page={{ page|add:'1' }}">Next</a>
                           {% endif %}
                       </div>
                       {% if auth %}
                           <div id="token" hidden="true">{{ auth.access_token }}</div>
                           <div id="cid" hidden="true">{{ auth.client_id }}</div>
                       {% endif %}
                   </div>
               </div>
           </div>
          <div class="col-lg-4">
                <h2> Teman Saya </h2>
                <div class="list-group" id="friend-list">
                    {% if friend_list %}
                        {% for friend in friend_list %}
                            <a class="list-group-item clearfix">
                                {{ friend.friend_name }} ({{ friend.npm }})
                            </a>
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-danger text-center">
                            <strong>Opps!</strong> Tidak ada teman
                        </div>
                    {% endif %}
                </div>
                <form id="add-friend" action="#">
                    {% csrf_token %}
                    <label for="field_npm">npm</label>
                    <input id="field_npm" type="text" name="npm" class="form-control"/>
                    <label for="field_name">name</label>
                    <input id="field_name" type="text" name="name" class="form-control"/>
                    <button type="submit">Tambah</button>
                </form>
            </div>
        </div>
    </div>
</section>
{% endblock %}

{% block javascript %}
<script>

    /*var token = document.getElementById("token").innerHTML;*/

    var addFriend = function(nama, npm) {
        $.ajax({
            method: "POST",
            url: "{% url "lab-7:add-friend" %}",
            data: { name: nama, npm: npm},
            success : function (response) {
                html = '<a class="list-group-item clearfix">' +
                    nama+ ' (' + npm + ')' +
                    '</a>';
                $("#friend-list").append(html)
            },
            error : function (error) {
                alert(error.responseText);
            }
        });
    };

    $("#add-friend").on("submit", function (event) {
       name = $("#field_name").val()
       npm = $("#field_npm").val()
       addFriend(name, npm)
       event.preventDefault();
    });

    $("#field_npm").change(function () {
        console.log( $(this).val() );
        npm = $(this).val();
        $.ajax({
            method: "POST",
            url: '{% url "lab-7:validate-npm" %}',
            data: {
                'npm': npm
            },
            dataType: 'json',
            success: function (data) {
                console.log(data)
                if (data.is_taken) {
                    alert("Mahasiswa dengan npm seperti ini sudah ada");
                }
            }
        });
    });
</script>
{% endblock %}
